{ config, lib, pkgs, ... }:

let unstable = import <nixos-unstable> { };
in {

  environment.systemPackages = with pkgs; [
    gnumake
    go_1_17
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer
    #unstable.esphome

    unstable.nodePackages.pyright
    (python39.withPackages
      (python-packages: with python-packages; [
        black
        diagrams
        pymemcache
        pyyaml
        requests
      ]))

    mariadb-client
    musl

    dbeaver
    emacs
    gitAndTools.delta
    lazygit
    ltrace
    parallel
    sops
    tig
    unstable.bazel

    openssl
    pkg-config
    nasm
    cmake
    zlib
    gcc
    binutils-unwrapped
  ];
}
