{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> { };
  openscad-ls = pkgs.callPackage ../packages/openscad-language-server.nix { };
in
{
  environment.systemPackages = with pkgs;
    [
      openscad
      openscad-ls
    ];

  # stm32 debugger
  users.extraGroups.plugdev = { };
  users.extraUsers.stefan.extraGroups = [ "plugdev" "dialout" ];
  services.udev.packages = [ pkgs.openocd ];

  fileSystems."/mnt/nfs" = {
    device = "10.1.20.29:/srv/nfs";
    fsType = "nfs";
    options = [ "x-systemd.automount" "noauto" "x-systemd.idle-timeout=120" ];
  };

  networking.extraHosts = ''
    162.55.40.34 mail.f2o.io
  '';
}
